unit WeibullProbPlot;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Basic_Form, StdCtrls, ExtCtrls, TeeProcs, TeEngine, Chart, TeeTools,
  StatAxisLabelTool, MtxVec, Series, StatSeries, TeCanvas, TeePenDlg,
  Math387;

type
  TfrmWeibullProb = class(TfrmBasic)
    Panel2: TPanel;
    Button1: TButton;
    Chart1: TChart;
    Button2: TButton;
    ChartTool1: TStatAxisLabelTool;
    ButtonPen1: TButtonPen;
    Series1: TStatProbSeries;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
        Data,X,Y: TVec;
    MinX,MaxX, MinY, MaxY: TSample;
    procedure Recalc;
  public
    { Public declarations }
  end;

var
  frmWeibullProb: TfrmWeibullProb;

implementation

Uses EditChar, MtxVecTee, Statistics;
{$R *.DFM}

procedure TfrmWeibullProb.Button2Click(Sender: TObject);
begin
  EditSeries(Self,Series1);
end;

procedure TfrmWeibullProb.Button1Click(Sender: TObject);
var ResStr: String;
    a,b: TSample;
begin
  ResStr := InputBox('Data size','Number of points to be generated : ','100');
  try
    Data.Size(StrToInt(ResStr));
  except
    Data.Size(100);
  end;
  ResStr := InputBox('a','a (average) : ',FormatFloat('0.00',3.5));
  try
    a := StrToFloat(ResStr);
  except
    a := 3.5;
  end;
  ResStr := InputBox('b','b (Std.dev.) : ',FormatFloat('0.00',0.1));
  try
    b := StrToFloat(ResStr);
  except
    b := 0.1;
  end;
  RandomWeibull(a,b,Data);
  Recalc;
end;

procedure TfrmWeibullProb.Recalc;
begin
  StatWeibullPlot(Data,X,Y,MinX,MaxX,MinY,MaxY,false);
  Series1.MinX := MinX;
  Series1.MaxX := MaxX;
  Series1.MinY := MinY;
  Series1.MaxY := MaxY;
  DrawValues(X,Y,Series1);
end;

procedure TfrmWeibullProb.FormCreate(Sender: TObject);
begin
  inherited;
  ButtonPen1.LinkPen(Series1.SlopePen);
  With Memo1.Lines do
  begin
    Clear;
    Add('Weibull probability plot');
    Add(chr(13));
    Add('The TStatSpecialSeries can be used to plot the Weibull probability Chart. '+
        'Most properties can be customized (click the "Edit" button)');
  end;
  Data := TVec.Create;
  X := TVec.Create;
  Y := TVec.Create;
  Data.Size(100);
  RandomWeibull(3,2.2,Data);
  Recalc;
end;

procedure TfrmWeibullProb.FormDestroy(Sender: TObject);
begin
  Data.Destroy;
  X.Destroy;
  Y.Destroy;
  inherited;
end;

initialization
  RegisterClass(TfrmWeibullProb);

end.
