{*******************************************}
{   Delphi Lab Tools 1.0                    }
{                                           }
{   Statistics  ToolBox                     }
{   SPCSeries (XBar and S) editor           }
{   NOTE : requires TeeChart v5 PRO         }
{                                           }
{   By Marjan Slatinek                      }
{   Copyright (c) 1999-2003 Dew Research    }
{   All Rights Reserved                     }
{*******************************************}
{:TQCSeries series editor.}
unit StatQCSeriesEdit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StatSeries, StdCtrls, TeCanvas, TeePenDlg;

type
  {:@exclude}
  TQCSeriesEditor = class(TForm)
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    EditAverage: TEdit;
    EditUCL: TEdit;
    EditLCL: TEdit;
    CheckBox1: TCheckBox;
    ButtonPenLine: TButtonPen;
    ButtonPenAvg: TButtonPen;
    ButtonPenCtrl: TButtonPen;
    procedure FormShow(Sender: TObject);
    procedure EditAverageChange(Sender: TObject);
    procedure EditUCLChange(Sender: TObject);
    procedure EditLCLChange(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
  private
    { Private declarations }
    TheSeries: TQCSeries;
  public
    { Public declarations }
  end;

var
  {:@exclude}  
  QCSeriesEditor: TQCSeriesEditor;

implementation
{$R *.DFM}

Uses TeePoEdi;

procedure TQCSeriesEditor.FormShow(Sender: TObject);
begin
  TheSeries := TQCSeries(Tag);
  if Assigned(Parent) then
  begin
    TeeInsertPointerForm(Parent,TheSeries.Pointer,'Pointer');
  end;
  EditAverage.Text := FormatFloat('0.00',TheSeries.CL);
  CheckBox1.Checked := TheSeries.ShowText;
  EditUCL.Text := FormatFloat('0.00',TheSeries.UCL);
  EditLCL.Text := FormatFloat('0.00',TheSeries.LCL);
  ButtonPenAvg.LinkPen(TheSeries.CLPen);
  ButtonPenLine.LinkPen(TheSeries.LinePen);
  ButtonPenCtrl.LinkPen(TheSeries.ControlLimitPen);
end;

procedure TQCSeriesEditor.EditAverageChange(Sender: TObject);
begin
  if Showing and (EditAverage.Text<>'') then TheSeries.CL := StrToFloat(EditAverage.Text);
end;

procedure TQCSeriesEditor.EditUCLChange(Sender: TObject);
begin
  if Showing and (EditUCL.Text<>'') then TheSeries.UCL := StrToFloat(EditUCL.Text);
end;

procedure TQCSeriesEditor.EditLCLChange(Sender: TObject);
begin
  if Showing and (EditLCL.Text<>'') then TheSeries.LCL := StrToFloat(EditLCL.Text);
end;

procedure TQCSeriesEditor.CheckBox1Click(Sender: TObject);
begin
  if Showing then TheSeries.ShowText := CheckBox1.Checked;
end;

initialization
  RegisterClass(TQCSeriesEditor);

end.
